# Method: orders.lines.assignments.disapprove

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/disapprove#examples)

Disapproves an existing assignment.

- Returns the updated assignment if successful.
- Returns error code `NOT_FOUND` if the assignment does not exist.
- Returns error code `INVALID_ARGUMENT` if disapproval is not set.
- Returns error code `FAILED_PRECONDITION` if state is not `STATE_PENDING_REVIEW`.

### HTTP request

`POST https://dv360outofhomeseller.googleapis.com/v1beta1/{name=orders/*/lines/*/assignments/*}:disapprove`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the assignment to be rejected, for example: "orders/123/lines/321/assignments/456" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "disapproval": { object (`Disapproval`) } } ``` |

| Fields ||
|---|---|
| `disapproval` | ``object (`Disapproval`)`` Required. The disapproval details for the assignment at the line or ad unit granularity. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments#Assignment`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).